#!/bin/bash

if [ $# != 2 ] ; then
  echo "Usage: imageis-add-jpg-dir.sh collection jpg-dir"
  exit
fi

srcdirname=${2%/}
srcdirparent=${srcdirname%%/*}
docid=${dirtail%.*}


if [ ! -d "$srcdirname" ] ; then
  echo "Error: failed to find directory $srcdirname"
  exit
fi

col=$1
srcdirtail=${srcdirname##*/}
docid=$srcdirtail

# make sure file extension is lowercase .jpg

dstdir=$col:$docid
dstdirname=/tmp/vsupload/$dstdir

if [ ! -d "$dstdirname" ] ; then
  echo "Creating $dstdirname"
  mkdir "$dstdirname"
fi


echo "Copying files in $srcdirname -> $dstdirname"

(cd "$srcdirname" ; tar cf - --transform 's/\.jpg/\.jpg/i' . ) \
  | (cd "$dstdirname" ; tar xvf -)

echo "Generating add_dir.xml"
cat "$IMAGEISHOME/templates/add_dir.xml" \
  | sed "s@\*\*imgdir\*\*@$dstdir@g" \
  > "/tmp/vsupload/add_dir.xml"

echo "Ingesting $dstdir"

java -jar "$IMAGEISHOME/ImageIS.jar" "/tmp/vsupload/add_dir.xml"

if [ $? == "0" ] ; then
  /bin/rm "/tmp/vsupload/add_dir.xml"
fi

